Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pentaho.di.compatibility
Class ValueDate

    java.lang.Object
      org.pentaho.di.compatibility.ValueDate

All Implemented Interfaces:
  Cloneable, ValueInterface

    public class ValueDate

extends Object
implements ValueInterface, Cloneable

This class contains a Value of type Date.

Since:
  15-10-2004
Author:
  Matt

Field Summary
`static String` | `DATE_FORMAT`
`int` | `precision`

Constructor Summary
`ValueDate()`
`ValueDate(Date date)`

Method Summary
`Object` | `clone()`
`BigDecimal` | `getBigNumber()`
`boolean` | `getBoolean()`
`byte[]` | `getBytes()`
`Date` | `getDate()`
`long` | `getInteger()`
`int` | `getLength()`
`double` | `getNumber()`
`int` | `getPrecision()`
`Serializable` | `getSerializable()`
`String` | `getString()`
`int` | `getType()`
`String` | `getTypeDesc()`
`void` | `setBigNumber(BigDecimal number)`
`void` | `setBoolean(boolean bool)`
`void` | `setBytes(byte[] b)`
`void` | `setDate(Date date)`
`void` | `setInteger(long number)`
`void` | `setLength(int length)`
`void` | `setLength(int length, int precision)`
`void` | `setNumber(double number)`
`void` | `setPrecision(int precision)`
`void` | `setSerializable(Serializable ser)`
`void` | `setString(String string)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DATE_FORMAT

    public static final String DATE_FORMAT

See Also:
  Constant Field Values

### precision

    public int precision

Constructor Detail

### ValueDate

    public ValueDate()

### ValueDate

    public ValueDate(Date date)

Method Detail

### getType

    public int getType()

  Specified by:
    `getType` in interface `ValueInterface`

### getTypeDesc

    public String getTypeDesc()

  Specified by:
    `getTypeDesc` in interface `ValueInterface`

### getString

    public String getString()

  Specified by:
    `getString` in interface `ValueInterface`

### getNumber

    public double getNumber()

  Specified by:
    `getNumber` in interface `ValueInterface`

### getDate

    public Date getDate()

  Specified by:
    `getDate` in interface `ValueInterface`

### getBoolean

    public boolean getBoolean()

  Specified by:
    `getBoolean` in interface `ValueInterface`

### getInteger

    public long getInteger()

  Specified by:
    `getInteger` in interface `ValueInterface`

### setString

    public void setString(String string)

  Specified by:
    `setString` in interface `ValueInterface`

### setSerializable

    public void setSerializable(Serializable ser)

  Specified by:
    `setSerializable` in interface `ValueInterface`

### setNumber

    public void setNumber(double number)

  Specified by:
    `setNumber` in interface `ValueInterface`

### setDate

    public void setDate(Date date)

  Specified by:
    `setDate` in interface `ValueInterface`

### setBoolean

    public void setBoolean(boolean bool)

  Specified by:
    `setBoolean` in interface `ValueInterface`

### setInteger

    public void setInteger(long number)

  Specified by:
    `setInteger` in interface `ValueInterface`

### getLength

    public int getLength()

  Specified by:
    `getLength` in interface `ValueInterface`

### getPrecision

    public int getPrecision()

  Specified by:
    `getPrecision` in interface `ValueInterface`

### setLength

    public void setLength(int length,
                          int precision)

  Specified by:
    `setLength` in interface `ValueInterface`

### setLength

    public void setLength(int length)

  Specified by:
    `setLength` in interface `ValueInterface`

### setPrecision

    public void setPrecision(int precision)

  Specified by:
    `setPrecision` in interface `ValueInterface`

### clone

    public Object clone()

  Specified by:
    `clone` in interface `ValueInterface`
  Overrides:
    `clone` in class `Object`

### getBigNumber

    public BigDecimal getBigNumber()

  Specified by:
    `getBigNumber` in interface `ValueInterface`

### setBigNumber

    public void setBigNumber(BigDecimal number)

  Specified by:
    `setBigNumber` in interface `ValueInterface`

### getSerializable

    public Serializable getSerializable()

  Specified by:
    `getSerializable` in interface `ValueInterface`

### getBytes

    public byte[] getBytes()

  Specified by:
    `getBytes` in interface `ValueInterface`

### setBytes

    public void setBytes(byte[] b)

  Specified by:
    `setBytes` in interface `ValueInterface`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD